NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SketchEvaluator Class Reference

Represents a sketch-on-path evaluator. More...

Inheritance diagram for NXOpen.SketchEvaluator:

Public Member Functions

unsafe NXOpen.Curve[] EvaluateOneSketch (double pathLocation)
 Work-horse method that evaluates the master section and its sketch on path * at a specific path location. More...
 
unsafe void Destroy ()
 Deletes the sketch evaluator, and cleans up any objects created by the it More...
 

Properties

unsafe double AngularTolerance [get, set]
 Returns or sets the angle tolerance [degrees] More...
 
unsafe bool CreateCurveOption [get, set]
 Returns or sets the option which allows automatic create of non-associative UG curves * for the sketch evaluation. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the master section. More...
 
unsafe bool SimplifyCurveOption [get, set]
 Returns or sets the option which allows the automatic conversion of curves * into an approximation of sorted sequence of arcs and lines. More...
 

Detailed Description

Represents a sketch-on-path evaluator.

It allows an application to evaluate * a section and a sketch-on-path at specific path locations.

To create a new instance of this class, use NXOpen.SketchEvaluatorCollection.Create

Created in NX4.0.1

Member Function Documentation

unsafe void NXOpen.SketchEvaluator.Destroy ( )

Deletes the sketch evaluator, and cleans up any objects created by the it

Created in NX4.0.1

License requirements: None.

unsafe NXOpen.Curve [] NXOpen.SketchEvaluator.EvaluateOneSketch ( double  pathLocation)

Work-horse method that evaluates the master section and its sketch on path * at a specific path location.

* * Pre-conditions : * [1] A master section must have been registered with call to mutator set_section() * or the sketch evaluator must be constructed with an existing feature. * * [2] The application should edit the properties "CreateCurveOption", "SimplifyCurveOption" * as needed before calling this method. * * Post-conditions: * [3] If the "create curve" option is set to false, the output curves should be * accessed right away. * The lifetime of these curves is as long as the next call to method "EvaluateOneSketch". * * [4] If the application wants to evaluate the same sketch at multiple path location, * it should make several consecutive calls to method "EvaluateOneSketch". * At the end of the operation, the application must call method "Destroy". * * [5] If the "simplify curve" option is false, the number of curves will always be the same. * * [6] The design of this functionality has not been tailored for master section * with multiple loops. If the master section has multiple loops, all the curves * will be returned in the order of the loops in the section. * * [7] Method "EvaluateOneSketch" changes the state of the sketch on path. Therefore, * the part is temporarily in out of date state. The application should leverage * the NX undo mechanism to reset the state to its original. An alternative solution * is to suppress and unsuppress the sketch on path and variational sweep features * involved.

Created in NX4.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pathLocationinput path arc length percent to evaluate at.
Returns

Property Documentation

unsafe double NXOpen.SketchEvaluator.AngularTolerance
getset

Returns or sets the angle tolerance [degrees]

Created in NX4.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchEvaluator.CreateCurveOption
getset

Returns or sets the option which allows automatic create of non-associative UG curves * for the sketch evaluation.

* * Note: [1] This property is only used for a call to method "EvaluateOneSketch". * [2] this property is defaulted to false.

Created in NX4.0.1

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.SketchEvaluator.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX4.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.SketchEvaluator.Section
getset

Returns or sets the master section.

Variational sweep accepts sections created ONLY on in the context of a Sketch on Path. Make sure this section is coming from sketch curves created using the sketch on path feature. The application should not mutate the section if evaluator object is created with vsweep feature. Return code : 0 : no error, VARSWEEP_SKETCH_NOT_ON_PATH : on an error condition

Created in NX4.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchEvaluator.SimplifyCurveOption
getset

Returns or sets the option which allows the automatic conversion of curves * into an approximation of sorted sequence of arcs and lines.

* This option only convert curves that are not arcs and lines. * * Note: [1] This property is only used for a call to method "EvaluateOneSketch". * [2] This property is defaulted to false.

Created in NX4.0.1

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.